org.apache.fop.layoutmgr

## Class LayoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.layoutmgr.LayoutException

- All Implemented Interfaces:
    Serializable

      public class LayoutException
      extends RuntimeException

  Exception thrown by FOP if an unrecoverable layout error occurs. An example: An area overflows a viewport that has overflow="error-if-overflow". TODO Discuss if this should become a checked exception.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LayoutException.LayoutExceptionFactory` Exception factory for `LayoutException`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutException(String message)` Constructs a new layout exception with the specified detail message.
    `LayoutException(String message, LayoutManager lm)` Constructs a new layout exception with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayoutManager` | `getLayoutManager()` Returns the layout manager that detected the problem.
    `String` | `getLocalizedMessage()`
    `void` | `setLocalizedMessage(String msg)` Sets the localized message for this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutException

          public LayoutException(String message)

      Constructs a new layout exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### LayoutException

          public LayoutException(String message,
                                 LayoutManager lm)

      Constructs a new layout exception with the specified detail message.
      Parameters:
        `message` - the detail message
        `lm` - the layout manager that throws the exception

  - ### Method Detail

    - #### setLocalizedMessage

          public void setLocalizedMessage(String msg)

      Sets the localized message for this exception.
      Parameters:
        `msg` - the localized message

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Overrides:
        `getLocalizedMessage` in class `Throwable`

    - #### getLayoutManager

          public LayoutManager getLayoutManager()

      Returns the layout manager that detected the problem.
      Returns:
        the layout manager (or null)

Copyright © 2023 Apache Software Foundation. All rights reserved.